Loading...
Searching...
No Matches
HeapT.hh File Reference

A generic heap class. More...

`#include "Config.hh"`
`#include <vector>`
`#include <OpenMesh/Core/System/omstream.hh>`
Include dependency graph for HeapT.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | OpenMesh::Utils::HeapInterfaceT< HeapEntry >
| This class demonstrates the HeapInterface's interface. More...
class | OpenMesh::Utils::HeapT< HeapEntry, HeapInterface >
| An efficient, highly customizable heap. More...

## Namespaces

namespace | OpenMesh
| Contains all the mesh ingredients like the polygonal mesh, the triangle mesh, different mesh kernels and mesh traits.
namespace | OpenMesh::Utils
| Collection of little utility classes and helpers.

## Detailed Description

A generic heap class.